Bug 1273113 - python3-fedora should require python3-lockfile
python3-fedora should require python3-lockfile
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: python-fedora (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Infrastructure SIG
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-19 12:01 EDT by Miroslav Suchý
Modified: 2015-11-01 16:50 EST (History)
6 users (show)

See Also:
Fixed In Version: python-fedora-0.6.2-2.fc23 python-fedora-0.6.2-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-31 22:31:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miroslav Suchý 2015-10-19 12:01:59 EDT
Description of problem:
From my application:
  File "./guard-fedora-sponsors.py", line 5, in <module>
    from fedora.client import AuthError, AccountSystem
  File "/usr/lib/python3.4/site-packages/fedora/client/__init__.py", line 132, in <module>
    from fedora.client.openidbaseclient import OpenIdBaseClient
  File "/usr/lib/python3.4/site-packages/fedora/client/openidbaseclient.py", line 50, in <module>
    import lockfile
ImportError: No module named 'lockfile'

after install python3-lockfile there is no traceback

Version-Release number of selected component (if applicable):
python3-fedora-0.6.2-1.fc22.noarch
Comment 1 Fedora Update System 2015-10-20 14:12:48 EDT
python-fedora-0.6.2-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c35f577f7f
Comment 2 Fedora Update System 2015-10-20 14:28:41 EDT
python-fedora-0.6.2-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-bf0d75cfd2
Comment 3 Fedora Update System 2015-10-20 17:56:39 EDT
python-fedora-0.6.2-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-fedora'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c35f577f7f
Comment 4 Fedora Update System 2015-10-26 14:30:49 EDT
python-fedora-0.6.2-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-fedora'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-bf0d75cfd2
Comment 5 Fedora Update System 2015-10-31 22:31:40 EDT
python-fedora-0.6.2-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2015-11-01 16:49:57 EST
python-fedora-0.6.2-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.